Bug 178936 - Installer hangs at "Initalizing hardware ..." with HighPoint RocketRaid 2220
Installer hangs at "Initalizing hardware ..." with HighPoint RocketRaid 2220
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-25 11:39 EST by Ben McMurtry
Modified: 2015-01-04 17:24 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:41:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben McMurtry 2006-01-25 11:39:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
When installing a Highpoint RocketRaid 2220 the card works fine under kernel 2.6.11-1.1369_FC4smp (boots fine, can load drivers etc).

However after a recent update (yum update) which brought kernel 2.6.14-1.1656_FC4smp the computer hangs at the "Initalizing hardware ..." part of the boot.  Hitting cntr-x at grub and selecting the old 1369 kernel allows you to boot.

This happens with 2.6.11-1.1369_FC4 as well.

Version-Release number of selected component (if applicable):
2.6.14-1.1656_FC4smp

How reproducible:
Always

Steps to Reproduce:
1. Install kernel 2.6.14-1.1656_FC4smp
2. Put in a RocketRAID 2220
3. Start machine
  

Actual Results:  Hangs at boot.

Expected Results:  Boot into Fedora.

Additional info:
Comment 1 Ben McMurtry 2006-01-25 11:45:14 EST
This happens with 2.6.11-1.1369_FC4 as well.

Should be: This happens with kernel 2.6.14-1.1656_FC4 as well.


Card works with 2.6.11-1.1369_FC4/smp but does not boot with 2.6.14-1.1656_FC4/smp
Comment 2 Dimitri Deserranno 2006-01-25 12:06:52 EST
I have a server with RocketRaid 1820. Same problem. 
Card works with 2.6.11-1.1369_FC4 but does not boot with 2.6.14-1.1656_FC4

I was told to create Rocketraid drivers as follows for kernel 2.6.14:

NOTE: it did not work. Errors are below the instructions.

If I made a mistake, please let me know.
If I did not, and someone knows how to patch this, please post it here.

Thanks. Dimi.

INSTRUCTIONS: (which did not work for me)

* Get and install the kernel sources:
# upd2date --get--source kernel
# rpm -Uvh kernel-<version>.src.rpm
# cd /usr/src/redhat/SPECS
# rpmbuild -bp --target $(arch) kernel.spec
# cd /usr/src/redhat/BUILD/kernel-<version> /usr/src/
# mv linux-<version> /usr/src/
# cd /usr/src
# ln -s ./linux-<version> linux
# cd /usr/src/linux
# cp configs/<desired-config-file> .config
# make oldconfig
# make
* Update the system
* Continue with compilation of HighPoint driver as outline in the readme
* Copy the created 'hptmv.ko' or 'hptmv6.ko' to /lib/modules/<kernel
version>/kernel/drivers/scsi
* Run `depmod -a`
* Run `mkinitrd` for the new kernel version
* Be sure to keep the original installed kernel as an option in the grub menu

NOTE: even though hptmv.ko is created, using it with the new kernel gives kernel
panic.
Also, since I cannot boot in kernel 2.6.14, I built it while running 2.6.11
However, to my knowledge, this should not be a problem.

ERRORS and DRIVER INFO:
> [root@occfs driver]# make
> KERNELDIR=/usr/src/linux-2.6.14
> make -C /usr/src/linux-2.6.14 SUBDIRS=`pwd` modules
> make[1]: Entering directory `/usr/src/linux-2.6.14'
> Building modules, stage 2.
> MODPOST
> Warning: could not find
> /root/drivers/highpoint/driver/.raid-x86_64.obj.cmd
> for /root/drivers/highpoint/driver/raid-x86_64.obj
> LD [M] /root/drivers/highpoint/driver/hptmv.ko
> make[1]: Leaving directory `/usr/src/linux-2.6.14'
> [root@occfs driver]# make install
> KERNELDIR=/usr/src/linux-2.6.14
> The driver is built for kernel 2.6.14-prep and can not
> be installed to current system.
> make: *** [install] Error 1
> [root@occfs driver]#
>
> Kernel version: 2.6.14-1.1656_FC4
>
> [root@occfs driver]# modinfo hptmv.ko
> filename: hptmv.ko
> parm: use_tcq:enable/disable TCQ feature
> parmtype: use_tcq:uint
> license: Proprietary
> parm: flush_interval:set cache flush
> interval
> parm: cachesize:set cache memory size (MB)
> parm: writeback:select RAID5
> write-through/write-back
> parmtype: flush_interval:uint
> parmtype: cachesize:uint
> parmtype: writeback:uint
> description: RocketRAID 182x SATA Controller driver
> author: HighPoint Technologies, Inc.
> depends: scsi_mod
> vermagic: 2.6.14-prep SMP gcc-4.0(In reply to comment #1)
> This happens with 2.6.11-1.1369_FC4 as well.
> 
> Should be: This happens with kernel 2.6.14-1.1656_FC4 as well.
> 
> 
> Card works with 2.6.11-1.1369_FC4/smp but does not boot with 2.6.14-1.1656_FC4/smp

Comment 3 Dave Jones 2006-02-03 01:04:17 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 4 Andy Lawrence 2006-02-05 17:19:39 EST
Same problem with the new 1830 kernel, freezes at initializing hardware.
Comment 5 Shawn Cornelius 2006-02-20 20:52:13 EST
I'm running into this problem as well using an RocketRaid 1820a card with kernel
2.6.15-1.1831_FC4.  I have found that if I wait long enough, it will finish
initalizing hardware and boot.  Unfortunatly, I also found that if I try and
load the driver I compilied from source, it sets off the alarm on the card and
corrupts my RAID array.  I hope this gets fixed soon.
Comment 6 Dave Jones 2006-09-16 23:03:14 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 7 Andy Lawrence 2006-09-17 15:16:05 EDT
FC5 works fine with HighPoint drivers.
Comment 8 Dave Jones 2006-10-16 15:21:58 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 9 Jon Stanley 2008-01-19 23:41:09 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.